# Object class

The base class for all Dart objects.

Because Object is the root of the Dart class hierarchy, every other Dart class is a subclass of Object.

When you define a class, you should override toString to return a string describing an instance of that class. You might also need to define hashCode and operator ==, as described in the Implementing map keys section of the library tour.

## Constructors

Object()
  Creates a new Object instance. [...]
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
toString() → String
  Returns a string representation of this object.

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]